<?php
/**
 * Block Pattern Class
 *
 * @author Jegstudio
 * @package webrand-lite
 */
namespace Webrand_Lite;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Init Class
 *
 * @package webrand-lite
 */
class Asset_Enqueue {
	/**
	 * Class constructor.
	 */
	public function __construct() {
        add_action( 'wp_enqueue_scripts', array( $this, 'enqueue_scripts' ), 20 );
		add_action( 'enqueue_block_assets', array( $this, 'enqueue_scripts' ) );
        add_action( 'admin_enqueue_scripts', array( $this, 'admin_scripts' ), 20 );
	}

    /**
	 * Enqueue scripts and styles.
	 */
	public function enqueue_scripts() {
		wp_enqueue_style( 'webrand-lite-style', get_stylesheet_uri(), array(), WEBRAND_LITE_VERSION );

				wp_enqueue_style( 'webrand-lite-preset', trailingslashit( get_template_directory_uri() ) . '/assets/css/webrand-lite-preset.css', array(), WEBRAND_LITE_VERSION );
		wp_enqueue_script( 'webrand-lite-preset-script', trailingslashit( get_template_directory_uri() ) . '/assets/js/webrand-lite-preset-script.js', array(), WEBRAND_LITE_VERSION, true );
		wp_enqueue_style( 'webrand-lite-custom-styling', trailingslashit( get_template_directory_uri() ) . '/assets/css/webrand-lite-custom-styling.css', array(), WEBRAND_LITE_VERSION );
		wp_enqueue_script( 'webrand-lite-custom-script', trailingslashit( get_template_directory_uri() ) . '/assets/js/webrand-lite-custom-script.js', array(), WEBRAND_LITE_VERSION, true );


        if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
			wp_enqueue_script( 'comment-reply' );
		}
    }

	/**
	 * Enqueue admin scripts and styles.
	 */
	public function admin_scripts() {
		
    }
}
